## gmusicbrowser 0.963

=== Makefile ===
PACKAGE = gmusicbrowser
VERSION = 0.963


prefix		= usr
bindir 		= ${DESTDIR}/${prefix}/bin
appdir		= ${DESTDIR}/${prefix}/share/applications
datadir		= ${DESTDIR}/${prefix}/share
mandir		= ${DESTDIR}/${prefix}/share/man
docdir		= ${DESTDIR}/${prefix}/share/doc/$(PACKAGE)-${VERSION}
localedir	= ${DESTDIR}/${prefix}/share/locale
menudir		= ${DESTDIR}/${prefix}/lib/menu
iconsdir	= ${DESTDIR}/${prefix}/share/icons
liconsdir	= $(iconsdir)/large
miconsdir	= $(iconsdir)/mini

DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html
LINGUAS=`/bin/ls locale`

all:
clean:
distclean: clean

install: all
	mkdir -p "$(bindir)"
	mkdir -p "$(datadir)/gmusicbrowser/"
	mkdir -p "$(docdir)"
	mkdir -p "$(mandir)/man1/"
	install -m 644 $(DOCS) "$(docdir)"
	install -m 644 gmusicbrowser.man "$(mandir)/man1/gmusicbrowser.1"
	install -d "$(datadir)/gmusicbrowser/pix/"
	install -d "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -d "$(datadir)/gmusicbrowser/pix/tango/"
	install -d "$(datadir)/gmusicbrowser/plugins/"
	install -Dm 755 gmusicbrowser.pl "$(bindir)/gmusicbrowser"
	install -m 755 iceserver.pl      "$(datadir)/gmusicbrowser/iceserver.pl"
	install -m 644 *.pm layouts      "$(datadir)/gmusicbrowser/"
	install -m 644 plugins/*.pm      "$(datadir)/gmusicbrowser/plugins/"
	install -m 644 pix/*.png         "$(datadir)/gmusicbrowser/pix/"
	install -m 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -m 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
	install -Dm 644 gmusicbrowser.desktop "$(datadir)/applications/gmusicbrowser.desktop"
	install -Dm 644 gmusicbrowser.menu    "$(menudir)/gmusicbrowser"
	install -Dm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
	install -Dm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
	install -Dm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
	for lang in $(LINGUAS) ; \
	do \
		install -d "$(localedir)/$$lang/LC_MESSAGES/"; \
		install -m 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
	done

postinstall:
	update-menus

uninstall:
	rm -f "$(bindir)/gmusicbrowser"
	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
	rm -f "$(liconsdir)/gmusicbrowser.png" "$(miconsdir)/gmusicbrowser.png" "$(iconsdir)/gmusicbrowser.png"
	rm -f "$(appdir)/gmusicbrowser.desktop" "$(menudir)/gmusicbrowser"
	rm -f "$(mandir)/$(MANS)"
	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"

postuninstall:
	#clean_menus
	update-menus

## gmusicbrowser 0.964

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE = gmusicbrowser
-VERSION = 0.963
+VERSION = 0.964
 
 
 prefix		= usr

## gmusicbrowser 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE = gmusicbrowser
-VERSION = 0.964
+VERSION = 1.0.1
 
 
 prefix		= usr

## gmusicbrowser 1.0.2

=== Makefile ===
PACKAGE = gmusicbrowser
VERSION = $(shell grep "^ *VERSIONSTRING" gmusicbrowser.pl |head -n 1 |grep -Eo [.0-9]+)


prefix		= usr
bindir 		= ${DESTDIR}/${prefix}/bin
appdir		= ${DESTDIR}/${prefix}/share/applications
datadir		= ${DESTDIR}/${prefix}/share
mandir		= ${DESTDIR}/${prefix}/share/man
docdir		= ${DESTDIR}/${prefix}/share/doc/$(PACKAGE)-${VERSION}
localedir	= ${DESTDIR}/${prefix}/share/locale
menudir		= ${DESTDIR}/${prefix}/lib/menu
iconsdir	= ${DESTDIR}/${prefix}/share/icons
liconsdir	= $(iconsdir)/large
miconsdir	= $(iconsdir)/mini

DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html
LINGUAS=$(shell for l in po/*po; do basename $$l .po; done)

all: locale
clean:
	rm -rf dist/
distclean: clean
	rm -rf locale/

po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts
	perl po/create_pot.pl --quiet

po/%.po : po/gmusicbrowser.pot
	msgmerge -s -U -N $@ po/gmusicbrowser.pot

locale/%/LC_MESSAGES/gmusicbrowser.mo : po/%.po po/gmusicbrowser.pot
	mkdir -p locale/$*/LC_MESSAGES/
	msgfmt -c -o $@ $<

locale: $(foreach l,$(LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)


install: all
	mkdir -p "$(bindir)"
	mkdir -p "$(datadir)/gmusicbrowser/"
	mkdir -p "$(docdir)"
	mkdir -p "$(mandir)/man1/"
	install -pm 644 $(DOCS) "$(docdir)"
	install -pm 644 gmusicbrowser.man "$(mandir)/man1/gmusicbrowser.1"
	install -pd "$(datadir)/gmusicbrowser/pix/"
	install -pd "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -pd "$(datadir)/gmusicbrowser/pix/tango/"
	install -pd "$(datadir)/gmusicbrowser/plugins/"
	install -pDm 755 gmusicbrowser.pl "$(bindir)/gmusicbrowser"
	install -pm 755 iceserver.pl      "$(datadir)/gmusicbrowser/iceserver.pl"
	install -pm 644 *.pm layouts      "$(datadir)/gmusicbrowser/"
	install -pm 644 plugins/*.pm      "$(datadir)/gmusicbrowser/plugins/"
	install -pm 644 pix/*.png         "$(datadir)/gmusicbrowser/pix/"
	install -pm 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -pm 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
	install -pDm 644 gmusicbrowser.desktop "$(datadir)/applications/gmusicbrowser.desktop"
	install -pDm 644 gmusicbrowser.menu    "$(menudir)/gmusicbrowser"
	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
	install -pDm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
	install -pDm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
	for lang in $(LINGUAS) ; \
	do \
		install -pd "$(localedir)/$$lang/LC_MESSAGES/"; \
		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
	done

postinstall:
	update-menus

uninstall:
	rm -f "$(bindir)/gmusicbrowser"
	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
	rm -f "$(liconsdir)/gmusicbrowser.png" "$(miconsdir)/gmusicbrowser.png" "$(iconsdir)/gmusicbrowser.png"
	rm -f "$(appdir)/gmusicbrowser.desktop" "$(menudir)/gmusicbrowser"
	rm -f "$(mandir)/$(MANS)"
	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"

postuninstall:
	#clean_menus
	update-menus

prepackage : all
	perl -pi -e 's!Version:.*!Version: '$(VERSION)'!' gmusicbrowser.spec
	mkdir -p dist/

dist: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.\*swp --exclude=./dist && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz

# release : same as dist, but exclude debian/ folder
release: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.\*swp --exclude=./dist --exclude=./debian && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz

## gmusicbrowser 1.1.7

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 distclean: clean
 	rm -rf locale/
 
-po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts
+po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts/*.layout
 	perl po/create_pot.pl --quiet
 
 po/%.po : po/gmusicbrowser.pot
@@ -31,7 +31,7 @@
 
 locale/%/LC_MESSAGES/gmusicbrowser.mo : po/%.po po/gmusicbrowser.pot
 	mkdir -p locale/$*/LC_MESSAGES/
-	msgfmt -c -o $@ $<
+	msgfmt --statistics -c -o $@ $<
 
 locale: $(foreach l,$(LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)
 
@@ -44,16 +44,23 @@
 	install -pm 644 $(DOCS) "$(docdir)"
 	install -pm 644 gmusicbrowser.man "$(mandir)/man1/gmusicbrowser.1"
 	install -pd "$(datadir)/gmusicbrowser/pix/"
+	install -pd "$(datadir)/gmusicbrowser/pix/elementary/"
 	install -pd "$(datadir)/gmusicbrowser/pix/gnome-classic/"
 	install -pd "$(datadir)/gmusicbrowser/pix/tango/"
+	install -pd "$(datadir)/gmusicbrowser/pix/oxygen/"
 	install -pd "$(datadir)/gmusicbrowser/plugins/"
+	install -pd "$(datadir)/gmusicbrowser/layouts/"
 	install -pDm 755 gmusicbrowser.pl "$(bindir)/gmusicbrowser"
 	install -pm 755 iceserver.pl      "$(datadir)/gmusicbrowser/iceserver.pl"
-	install -pm 644 *.pm layouts      "$(datadir)/gmusicbrowser/"
+	install -pm 644 *.pm		  "$(datadir)/gmusicbrowser/"
+	install -pm 644 gmbrc.default     "$(datadir)/gmusicbrowser/"
+	install -pm 644 layouts/*.layout  "$(datadir)/gmusicbrowser/layouts/"
 	install -pm 644 plugins/*.pm      "$(datadir)/gmusicbrowser/plugins/"
 	install -pm 644 pix/*.png         "$(datadir)/gmusicbrowser/pix/"
+	install -pm 644 pix/elementary/*    "$(datadir)/gmusicbrowser/pix/elementary/"
 	install -pm 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
 	install -pm 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
+	install -pm 644 pix/oxygen/*           "$(datadir)/gmusicbrowser/pix/oxygen/"
 	install -pDm 644 gmusicbrowser.desktop "$(datadir)/applications/gmusicbrowser.desktop"
 	install -pDm 644 gmusicbrowser.menu    "$(menudir)/gmusicbrowser"
 	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
@@ -85,8 +92,9 @@
 	mkdir -p dist/
 
 dist: prepackage
-	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.\*swp --exclude=./dist && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz
+	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz
 
 # release : same as dist, but exclude debian/ folder
 release: prepackage
-	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.\*swp --exclude=./dist --exclude=./debian && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz
+	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist --exclude=./debian && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz
+

=== debian/changelog ===
gmusicbrowser (1.1.7-2) unstable; urgency=low

  * Take patch from Ubuntu to adopt new layouts made by the Shimmer
    project.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Mar 2011 09:19:34 +0100

gmusicbrowser (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Replace shlibs:Depends substvar with perl:Depends.
  * debian/gmusicbrowser.menu:
    - Fix path of the XPM icon.
  * Update debian/watch file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 Mar 2011 08:15:25 +0100

gmusicbrowser (1.1.6-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Update my email address.
  * Bump Standards.
  * Create .gitignore file.
  * Add debian/gbp.conf file.
  * Swtich to format 3.0 (quilt).
  * Update debian/copyright as per DEP-5 rev.166.
  * Point Homepage to new upstream's URL.
  * Suggest libgstreamer-interfaces-perl.
  * Remove DM-Upload-Allowed: yes, no longer needed.
  * Prevent deletion of the locale/ directory from the sources root.

  [ Micah Gersten ]
  * New upstream release.
  * Add myself to uploaders.
  * Refresh spelling-errors patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Feb 2011 09:40:56 +0100

gmusicbrowser (1.0.2-2) unstable; urgency=low

  * Suggest mpg321.
  * Correct Team's name.
  * Recommend libgtk2-notify-perl.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 20:45:35 +0200

gmusicbrowser (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/{control,rules}:
    - Switch to debhelper 7.
    - Drop cdbs.
  * debian/control:
    - Allow uploads by Debian Maintainers.
    - Add myself to the Uploaders field.
    - Bump Standards-Versions.
  * debian/rules:
    - Install NEWS file as upstream's changelog.
  * Refresh patches, add tags as per DEP-3 policy.
  * debian/patches/no-extra-copying:
    - Don't install NEWS file as doc file.
    - Don't install docs file in a versioned path.
  * Add debian/patches/spelling-errors patch to correct some little spelling
    errors in the manpage.
  * Add README.source to document how to patch the sources.
  * Improve debian/post{inst,rm} scripts.
  * Add doc-base registration file.
  * Update debian/copyright.
  * Fix debian/watch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 18 Jan 2010 21:19:06 +0100

gmusicbrowser (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #490084)

 -- Antonio Radici <antonio@dyne.org>  Sun, 01 Feb 2009 21:24:05 +0000

=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Radici <antonio@dyne.org>,
 Alessio Treglia <alessio@debian.org>,
 Micah Gersten <micahg@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: imagemagick
Standards-Version: 3.9.1
Homepage: http://www.gmusicbrowser.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/gmusicbrowser.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gmusicbrowser.git

Package: gmusicbrowser
Architecture: all
Depends: ${perl:Depends},
 libgtk2-perl,
 libgtk2.0-0 (>= 2.6),
 mpg321 | flac123 | ogg123,
 ${misc:Depends}
Recommends: liblocale-gettext-perl (>= 1.04),
 libnet-dbus-perl,
 libgtk2-trayicon-perl,
 libgtk2-notify-perl,
 libgstreamer-perl
Suggests: mplayer,
 vorbis-tools,
 mpg321,
 alsa-utils,
 libgstreamer-interfaces-perl,
 libgtk2-mozembed-perl
Description: graphic jukebox for large collections of mp3/ogg/flac/mpc files
 gmusicbrower is a powerful graphic browser which supports libraries with
 a great number of songs (>10,000)
 .
 It can use multiple inputs and plays MP3, OGG and flac files; it also supports
 mass-renaming and mass-retagging of a song library, multiple genres per song,
 ratings and customizable labels
 .
 The window layout is also customizable and it ships natively plugins to use
 last.fm, retrieve lyrics, find album pictures and WebContext which, through
 the mozilla/webkit engine will display the wikipedia artist's page and search
 lyrics with google.

## gmusicbrowser 1.1.8

=== debian/changelog ===
gmusicbrowser (1.1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Revert gmusicbrowser.man, take the correct file from upstream's
    tarball.
  * The patch spelling-errors has been forwarded upstream.
  * Refresh shimmer-layouts patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 20:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Micah Gersten <micahg@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: imagemagick
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gmusicbrowser.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/gmusicbrowser.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gmusicbrowser.git
@@ -20,6 +20,10 @@
  mpg321 | flac123 | ogg123,
  ${misc:Depends}
 Recommends: liblocale-gettext-perl (>= 1.04),
+ libcairo-perl,
+ libdigest-crc-perl,
+ libhtml-parser-perl,
+ libio-compress-perl,
  libnet-dbus-perl,
  libgtk2-trayicon-perl,
  libgtk2-notify-perl,
@@ -28,6 +32,7 @@
  vorbis-tools,
  mpg321,
  alsa-utils,
+ libgnome2-wnck-perl,
  libgstreamer-interfaces-perl,
  libgtk2-mozembed-perl
 Description: graphic jukebox for large collections of mp3/ogg/flac/mpc files

## gmusicbrowser 1.1.9

=== debian/changelog ===
gmusicbrowser (1.1.9-2) unstable; urgency=low

  * Demote mpg321 | flac123 | ogg123 to Suggests.
  * Promote libgstreamer-perl to Depends.
  * Recommends on libintl-perl.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 May 2012 10:43:45 +0200

gmusicbrowser (1.1.9-1) unstable; urgency=low

  * New upstream release.
  * Remove spelling-errors patch, applied upstream.
  * Refresh shimmer-layouts, partially applied upstream.
  * Remove NEWS from debian/docs, it is already installed as upstream
    changelog.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Feb 2012 00:33:53 +0100

=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Antonio Radici <antonio@dyne.org>,
 Alessio Treglia <alessio@debian.org>,
 Micah Gersten <micahg@ubuntu.com>
Build-Depends:
 debhelper (>= 7.0.50~)
Build-Depends-Indep:
 imagemagick
Standards-Version: 3.9.3
Homepage: http://www.gmusicbrowser.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/gmusicbrowser.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gmusicbrowser.git

Package: gmusicbrowser
Architecture: all
Depends:
 libgstreamer-perl,
 libgtk2-perl,
 libgtk2.0-0 (>= 2.6),
 ${misc:Depends},
 ${perl:Depends}
Recommends:
 libcairo-perl,
 libdigest-crc-perl,
 libgtk2-notify-perl,
 libgtk2-trayicon-perl,
 libhtml-parser-perl,
 libintl-perl,
 libio-compress-perl,
 liblocale-gettext-perl (>= 1.04),
 libnet-dbus-perl
Suggests:
 alsa-utils,
 libgnome2-wnck-perl,
 libgstreamer-interfaces-perl,
 libgtk2-mozembed-perl,
 mpg321 | flac123 | ogg123,
 mplayer,
 vorbis-tools
Description: graphic jukebox for large collections of mp3/ogg/flac/mpc files
 gmusicbrower is a powerful graphic browser which supports libraries with
 a great number of songs (>10,000)
 .
 It can use multiple inputs and plays MP3, OGG and flac files; it also supports
 mass-renaming and mass-retagging of a song library, multiple genres per song,
 ratings and customizable labels
 .
 The window layout is also customizable and it ships natively plugins to use
 last.fm, retrieve lyrics, find album pictures and WebContext which, through
 the mozilla/webkit engine will display the wikipedia artist's page and search
 lyrics with google.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	mogrify -format xpm -geometry 32x32 $(CURDIR)/pix/gmusicbrowser.png

override_dh_auto_clean:
	$(MAKE) clean
	rm -f $(CURDIR)/pix/gmusicbrowser.xpm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://gmusicbrowser.org/download gmusicbrowser-(.*)\.tar\.gz

## gmusicbrowser 1.1.10

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,8 @@
 
 locale: $(foreach l,$(LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)
 
+checkpo:
+	for lang in $(LINGUAS) ; do msgfmt -c po/$$lang.po -o /dev/null || exit 1 ; done
 
 install: all
 	mkdir -p "$(bindir)"

=== debian/changelog ===
gmusicbrowser (1.1.10-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1213158)

  * Rebase shimmer-layouts patch; Thanks to Sean Davis for the rebase
    - update debian/patches/shimmer-layouts

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 27 Aug 2013 20:31:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gmusicbrowser
 Section: sound
 Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Antonio Radici <antonio@dyne.org>,
  Alessio Treglia <alessio@debian.org>,

## gmusicbrowser 1.1.12%2Bds0

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	mogrify -format xpm -geometry 32x32 $(CURDIR)/pix/gmusicbrowser.png

override_dh_auto_clean:
	$(MAKE) distclean
	rm -f $(CURDIR)/pix/gmusicbrowser.xpm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --force-download

## gmusicbrowser 1.1.12+ds0

=== Makefile ===
--- 
+++ 
@@ -15,13 +15,23 @@
 miconsdir	= $(iconsdir)/mini
 
 DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html
-LINGUAS=$(shell for l in po/*po; do basename $$l .po; done)
 
-all: locale
+# this triggers correct gettext behavior
+# unset LINGUAS => installs all supported linguas
+# LINGUAS="" => installs none
+# LINGUAS="fr ru" => installs only fr and ru
+SUPPORTED_LINGUAS=$(shell for l in po/*po; do basename $$l .po; done)
+LCMD := if [ -n "$${LINGUAS+x}" ] ; then for f in $(SUPPORTED_LINGUAS) ; do case "$(LINGUAS)" in *$$f*) printf "$$f " ;; esac ; done ; else printf "$(SUPPORTED_LINGUAS)" ; fi
+ACTIVE_LINGUAS = $(shell $(LCMD))
+
+MARKDOWN= markdown
+
+
+all: locale doc
 clean:
 	rm -rf dist/
 distclean: clean
-	rm -rf locale/
+	rm -rf locale/ layout_doc.html
 
 po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts/*.layout
 	perl po/create_pot.pl --quiet
@@ -33,10 +43,15 @@
 	mkdir -p locale/$*/LC_MESSAGES/
 	msgfmt --statistics -c -o $@ $<
 
-locale: $(foreach l,$(LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)
+locale: $(foreach l,$(ACTIVE_LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)
 
 checkpo:
-	for lang in $(LINGUAS) ; do msgfmt -c po/$$lang.po -o /dev/null || exit 1 ; done
+	for lang in $(ACTIVE_LINGUAS) ; do msgfmt -c po/$$lang.po -o /dev/null || exit 1 ; done
+
+doc : layout_doc.html
+
+layout_doc.html : layout_doc.mkd
+	${MARKDOWN} layout_doc.mkd > layout_doc.html
 
 install: all
 	mkdir -p "$(bindir)"
@@ -68,7 +83,7 @@
 	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
 	install -pDm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
 	install -pDm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
-	for lang in $(LINGUAS) ; \
+	for lang in $(ACTIVE_LINGUAS) ; \
 	do \
 		install -pd "$(localedir)/$$lang/LC_MESSAGES/"; \
 		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \

=== debian/changelog ===
gmusicbrowser (1.1.12+ds0-1) unstable; urgency=low

  * Improve package's description.
    Thanks to Justin B Rye for the patch. (Closes: #727672)
  * debian/copyright: Various small improvements and updates.
  * Repack upstream tarball to strip out locale/ and layout_doc.html.

 -- Alessio Treglia <alessio@debian.org>  Sat, 08 Mar 2014 21:40:35 +0000

gmusicbrowser (1.1.12-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Use make distclean rather than make clean
  * debian/control:
    - Add myself to uploaders
    - Add build-depends on markdown

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 08 Mar 2014 06:19:26 +1100

gmusicbrowser (1.1.11-1) unstable; urgency=medium

  * New upstream release

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 25 Jan 2014 14:17:08 +0000

gmusicbrowser (1.1.10-2) unstable; urgency=low

  * Fix encoding error in shimmer-layouts patch. (LP: #1234448)

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Oct 2013 19:12:33 +0100

gmusicbrowser (1.1.10-1) unstable; urgency=low

  * New upstream release. (Closes: #724958)
  * Refresh patches.
  * Fix Vcs fields.
  * Bump Standards.
  * Fix typo in description. (Closes: #720760)

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Oct 2013 19:11:53 +0100

=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Antonio Radici <antonio@dyne.org>,
 Alessio Treglia <alessio@debian.org>,
 Micah Gersten <micahg@ubuntu.com>,
 Jackson Doak <noskcaj@ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 markdown
Build-Depends-Indep:
 imagemagick
Standards-Version: 3.9.5
Homepage: http://www.gmusicbrowser.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gmusicbrowser.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/gmusicbrowser.git

Package: gmusicbrowser
Architecture: all
Depends:
 libgstreamer-perl,
 libgtk2-perl,
 libgtk2.0-0 (>= 2.6),
 ${misc:Depends},
 ${perl:Depends}
Recommends:
 libcairo-perl,
 libdigest-crc-perl,
 libgtk2-notify-perl,
 libgtk2-trayicon-perl,
 libhtml-parser-perl,
 libintl-perl,
 libio-compress-perl,
 liblocale-gettext-perl (>= 1.04),
 libnet-dbus-perl
Suggests:
 alsa-utils,
 libgnome2-wnck-perl,
 libgstreamer-interfaces-perl,
 libgtk2-mozembed-perl,
 mpg321 | flac123 | ogg123,
 mplayer,
 vorbis-tools
Description: graphical jukebox for large music collections
 gmusicbrowser is a powerful graphical browser which supports libraries
 with a very large number of songs (over 10,000).
 .
 It can use multiple inputs and has native support for MP3, Ogg, and
 FLAC files. It also supports mass-renaming and mass-retagging of a song
 library, multiple genres per song, ratings, and customizable labels.
 .
 gmusicbrowser has a customizable window layout, and comes with plugins
 to use Last.fm, retrieve lyrics, or find album pictures and WebContext
 (using the Mozilla or WebKit engines to display the artist's page on
 Wikipedia and search for lyrics with Google).

=== debian/watch ===
version=3
opts="dversionmangle=s/~(ds|dfsg).*//" \
http://gmusicbrowser.org/download gmusicbrowser-(.*)\.tar\.gz \
  debian sh debian/repack.stub

## gmusicbrowser 1.1.13~ds0

=== debian/changelog ===
gmusicbrowser (1.1.13~ds0-1ubuntu1~14.04) trusty; urgency=medium

  * No-change backport to trusty

 -- Unit 193 <unit193@ninthfloor.org>  Thu, 08 Jan 2015 02:43:47 -0500

gmusicbrowser (1.1.13~ds0-1ubuntu1) utopic; urgency=medium

  * Merge from debian unstable. (LP: #1374682)
  * debian/control:
    - Add libgtk2-appindicator-perl to Suggests for plugin support.

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 27 Sep 2014 00:21:23 -0400

gmusicbrowser (1.1.13~ds0-1) unstable; urgency=medium

  * Team upload.

  [ Unit 193 ]
  * New upstream release.
  * Refreshed patches.
  * Add patch fix_hyphen-used-as-minus-sign to fix a lintian warning.
  * Update Vcs-Browser URL for alioth cgit.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Sep 2014 12:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Standards-Version: 3.9.5
 Homepage: http://www.gmusicbrowser.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gmusicbrowser.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/gmusicbrowser.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/gmusicbrowser.git
 
 Package: gmusicbrowser
 Architecture: all
@@ -40,6 +40,7 @@
  libgnome2-wnck-perl,
  libgstreamer-interfaces-perl,
  libgtk2-mozembed-perl,
+ libgtk2-appindicator-perl,
  mpg321 | flac123 | ogg123,
  mplayer,
  vorbis-tools

## gmusicbrowser 1.1.14~ds0

=== Makefile ===
--- 
+++ 
@@ -78,8 +78,8 @@
 	install -pm 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
 	install -pm 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
 	install -pm 644 pix/oxygen/*           "$(datadir)/gmusicbrowser/pix/oxygen/"
-	install -pDm 644 gmusicbrowser.desktop "$(datadir)/applications/gmusicbrowser.desktop"
-	install -pDm 644 gmusicbrowser.menu    "$(menudir)/gmusicbrowser"
+	install -pDm 644 gmusicbrowser.desktop "$(appdir)/gmusicbrowser.desktop"
+	install -pDm 644 gmusicbrowser.appdata.xml "$(datadir)/appdata/gmusicbrowser.appdata.xml"
 	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
 	install -pDm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
 	install -pDm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
@@ -89,20 +89,13 @@
 		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
 	done
 
-postinstall:
-	update-menus
-
 uninstall:
 	rm -f "$(bindir)/gmusicbrowser"
 	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
 	rm -f "$(liconsdir)/gmusicbrowser.png" "$(miconsdir)/gmusicbrowser.png" "$(iconsdir)/gmusicbrowser.png"
-	rm -f "$(appdir)/gmusicbrowser.desktop" "$(menudir)/gmusicbrowser"
+	rm -f "$(appdir)/gmusicbrowser.desktop" "$(datadir)/appdata/gmusicbrowser.appdata.xml"
 	rm -f "$(mandir)/$(MANS)"
 	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"
-
-postuninstall:
-	#clean_menus
-	update-menus
 
 prepackage : all
 	perl -pi -e 's!Version:.*!Version: '$(VERSION)'!' gmusicbrowser.spec

=== debian/changelog ===
gmusicbrowser (1.1.14~ds0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
    - Drop patches no longer needed.
      + d/p/fix_hyphen-used-as-minus-sign: Upstreamed.
      + d/p/fix-menu: gmusicbrowser.menu removed upstream.
    - Refresh remaining patches.
  * d/control:
    - Drop dep on libgstreamer-perl.
    - Add dep on gir1.2-gstreamer-1.0 and libglib-object-introspection-perl.
    - Drop suggests on libgstreamer-interfaces-perl.
    - Add libgtk2-appindicator-perl to Suggests for the appindicator plugin.

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Mar 2015 16:59:54 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
 Package: gmusicbrowser
 Architecture: all
 Depends:
- libgstreamer-perl,
+ gir1.2-gstreamer-1.0,
+ libglib-object-introspection-perl,
  libgtk2-perl,
  libgtk2.0-0 (>= 2.6),
  ${misc:Depends},
@@ -38,9 +39,8 @@
 Suggests:
  alsa-utils,
  libgnome2-wnck-perl,
- libgstreamer-interfaces-perl,
+ libgtk2-appindicator-perl,
  libgtk2-mozembed-perl,
- libgtk2-appindicator-perl,
  mpg321 | flac123 | ogg123,
  mplayer,
  vorbis-tools

## gmusicbrowser 1.1.15~ds0

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,7 @@
 docdir		= ${DESTDIR}/${prefix}/share/doc/$(PACKAGE)-${VERSION}
 localedir	= ${DESTDIR}/${prefix}/share/locale
 menudir		= ${DESTDIR}/${prefix}/lib/menu
-iconsdir	= ${DESTDIR}/${prefix}/share/icons
-liconsdir	= $(iconsdir)/large
-miconsdir	= $(iconsdir)/mini
+iconsdir	= ${DESTDIR}/${prefix}/share/icons/hicolor
 
 DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html
 
@@ -25,7 +23,6 @@
 ACTIVE_LINGUAS = $(shell $(LCMD))
 
 MARKDOWN= markdown
-
 
 all: locale doc
 clean:
@@ -80,22 +77,32 @@
 	install -pm 644 pix/oxygen/*           "$(datadir)/gmusicbrowser/pix/oxygen/"
 	install -pDm 644 gmusicbrowser.desktop "$(appdir)/gmusicbrowser.desktop"
 	install -pDm 644 gmusicbrowser.appdata.xml "$(datadir)/appdata/gmusicbrowser.appdata.xml"
-	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/gmusicbrowser.png"
-	install -pDm 644 pix/gmusicbrowser.png      "$(liconsdir)/gmusicbrowser.png"
-	install -pDm 644 pix/trayicon.png           "$(miconsdir)/gmusicbrowser.png"
+	install -pDm 644 pix/gmusicbrowser.svg      "$(iconsdir)/scalable/apps/gmusicbrowser.svg"
+	install -pDm 644 pix/gmusicbrowser16x16.png "$(iconsdir)/16x16/apps/gmusicbrowser.png"
+	install -pDm 644 pix/trayicon.png           "$(iconsdir)/20x20/apps/gmusicbrowser.png"
+	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/32x32/apps/gmusicbrowser.png"
+	install -pDm 644 pix/gmusicbrowser48x48.png "$(iconsdir)/48x48/apps/gmusicbrowser.png"
+	install -pDm 644 pix/gmusicbrowser64x64.png "$(iconsdir)/64x64/apps/gmusicbrowser.png"
 	for lang in $(ACTIVE_LINGUAS) ; \
 	do \
 		install -pd "$(localedir)/$$lang/LC_MESSAGES/"; \
 		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
 	done
+	$(MAKE) update-icon-cache
 
 uninstall:
 	rm -f "$(bindir)/gmusicbrowser"
 	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
-	rm -f "$(liconsdir)/gmusicbrowser.png" "$(miconsdir)/gmusicbrowser.png" "$(iconsdir)/gmusicbrowser.png"
+	rm -f "$(iconsdir)/scalable/apps/gmusicbrowser.svg" \
+		"$(iconsdir)/16x16/apps/gmusicbrowser.png" \
+		"$(iconsdir)/20x20/apps/gmusicbrowser.png" \
+		"$(iconsdir)/32x32/apps/gmusicbrowser.png" \
+		"$(iconsdir)/48x48/apps/gmusicbrowser.png" \
+		"$(iconsdir)/64x64/apps/gmusicbrowser.png"
 	rm -f "$(appdir)/gmusicbrowser.desktop" "$(datadir)/appdata/gmusicbrowser.appdata.xml"
-	rm -f "$(mandir)/$(MANS)"
+	rm -f "$(mandir)/man1/gmusicbrowser.1"
 	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"
+	$(MAKE) update-icon-cache
 
 prepackage : all
 	perl -pi -e 's!Version:.*!Version: '$(VERSION)'!' gmusicbrowser.spec
@@ -108,3 +115,14 @@
 release: prepackage
 	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz . --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist --exclude=./debian && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz
 
+
+update_icon_cache = gtk-update-icon-cache -f -t $(iconsdir)
+update-icon-cache:
+	@-if test -z "$(DESTDIR)"; then \
+		echo "Updating Gtk icon cache."; \
+		$(update_icon_cache) ; \
+	else \
+		echo "*** Icon cache not updated. After (un)install, run this:"; \
+		echo "***  $(update_icon_cache)" ; \
+	fi
+

=== debian/changelog ===
gmusicbrowser (1.1.15~ds0-1) unstable; urgency=medium

  [ Unit 193 ]
  * Imported Upstream version 1.1.15~ds0 (Closes: #822368)
  * d/control: Alternatively suggest mpv or mplayer.
  * Refresh patches.
  * d/rules: pix/gmusicbrowser.png → pix/gmusicbrowser.svg.
  * Update Standards-Version to 3.9.6.
  * d/control: Add librsvg2-bin to Build-Depends-Indep.

  [ Jochen Sprickerhof ]
  * Team upload.
  * Fix lintian vcs-field-uses-insecure-uri
  * Remove deprecated menu file
  * Bump Standards-Version to 3.9.8 (dropped menu files)
  * Add patch for Perl 5.24 (taken from upstream)
  * Remove Alessio from the uploaders list (at his request)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Sep 2016 23:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Antonio Radici <antonio@dyne.org>,
- Alessio Treglia <alessio@debian.org>,
  Micah Gersten <micahg@ubuntu.com>,
  Jackson Doak <noskcaj@ubuntu.com>
 Build-Depends:
  debhelper (>= 9),
  markdown
-Build-Depends-Indep:
- imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.gmusicbrowser.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gmusicbrowser.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/gmusicbrowser.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/gmusicbrowser.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gmusicbrowser.git
 
 Package: gmusicbrowser
 Architecture: all
@@ -42,7 +39,7 @@
  libgtk2-appindicator-perl,
  libgtk2-mozembed-perl,
  mpg321 | flac123 | ogg123,
- mplayer,
+ mplayer | mpv,
  vorbis-tools
 Description: graphical jukebox for large music collections
  gmusicbrowser is a powerful graphical browser which supports libraries

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --force-download
